Package org.apache.coyote

# Class AbstractProtocol.RecycledProcessors

java.lang.Object
org.apache.tomcat.util.collections.SynchronizedStack<Processor>
org.apache.coyote.AbstractProtocol.RecycledProcessors

Enclosing class:
  `AbstractProtocol<S>`

protected static class AbstractProtocol.RecycledProcessors extends SynchronizedStack<Processor>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final AtomicInteger`
`size`

### Fields inherited from class org.apache.tomcat.util.collections.SynchronizedStack

`DEFAULT_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`RecycledProcessors(AbstractProtocol.ConnectionHandler<?> handler)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`Processor`
`pop()`
`boolean`
`push(Processor processor)`

### Methods inherited from class org.apache.tomcat.util.collections.SynchronizedStack

`setLimit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### size

protected final AtomicInteger size

## Constructor Details

### RecycledProcessors

public RecycledProcessors(AbstractProtocol.ConnectionHandler<?> handler)

## Method Details

### push

public boolean push(Processor processor)

Overrides:
  `push` in class `SynchronizedStack<Processor>`

### pop

public Processor pop()

Overrides:
  `pop` in class `SynchronizedStack<Processor>`

### clear

public void clear()

Overrides:
  `clear` in class `SynchronizedStack<Processor>`